Subject: OAM: Network view sanity check

From: "Li, Ke Qin (Peter)" <[email-masked]>
Date: Thu, 11 Jul 2002 10:18:46 +0800

As a new comer, I don't know the meaning of OAM. Would you please explain it
for me? Thank you.

The next question is how to define "nodes' view of network". In my opinion,
the sanity check technique should be routing porotocol independent. Thus,
only the routing table (even the forwarding table) can be checked. And the
routing information database which describes the routing protocol's view of
network topology is not accessible. Then, how to define "nodes' view of
network"?

Keqin Li

> -----Original Message-----
> From: Hummel Heinrich [mailto:[email-masked]]
> Sent: Wednesday, July 10, 2002 2:59 PM
> To: 'Li, Ke Qin (Peter)'; Hummel Heinrich; [email-masked]
> Subject: AW: Loop Detection
> 
> 
> See my answers inserted.
> Heinrich
>  
> 
> 
> Yes, it is not about TTL.
> 
> Is there any existing work about the sanity check?
> 
> HH=> I haven't heard of any work being done in the IETF. And 
> I have just asked the question
> whether there were interest on doing such work.
> 
> And would you please give more detailed explaination about 
> the 3 kinds of
> sanity check?
> 
> HH=> Sure, but before, I would suggest to agree on a 
> different subject line than "Loop Detection"
> because it is really not about TTL. Instead it is about 
> checking whether all nodes have the identical view of the network.
> Routing tables don't have loops but may be inconsistent.
> E.g. "OAM: Network view sanity check" might be a more 
> appropriate subject line.
> 
> Also,the less you check, the faster and simpler is the sanity 
> check. I first of all thought about checking the
> topological view only/mainly.
> 
> 
> 
> 
> 
> Keqin Li
> 
> > -----Original Message-----
> > From: Hummel Heinrich [mailto:[email-masked]]
> > Sent: Monday, July 08, 2002 11:15 PM
> > To: [email-masked]; [email-masked]'; 
> > [email-masked]'; [email-masked]'
> > Subject: Re: Loop Detection
> > 
> > 
> > It is not about TTL (which is to control a particular 
> > IP-packet on its way to the destination).
> > Its about a  sanity check w.r.t. the distributed view of the 
> > intra-domain network topology. Whether or not IP flows are
> > on the go is something else (they may do TTL). 
> > 
> > This sanity check may be simple and fast. And if you want, 
> > there may be different types of sanity checks:
> > some which controls just the topology without reachability 
> > info,and  without link parameters. It will be the fastest
> > (microseconds). Next there may be slower but more comprising 
> > sanity checks. At last there may even be checks on
> > proper derivatives (Routing Tables, NHLFEs,...)
> > Heinrich
> > 
> > 
> > 
> > 
> > Title: RE: Loop Detection
> > Issue is it only tells you ***somthing*** is broken. 
> > 
> > Similarly simply ensuring that the routing databases are 
> > synchronized does not perform a sanity check on the local 
> > derivative by-products (FIBs, FTN, NHLFE etc.) or the hw that 
> > implements them.
> > 
> > cheers 
> > Dave 
> > 
> > > -----Original Message----- 
> > > From: John Renwick [mailto:[email-masked]] 
> > > Sent: Wednesday, July 03, 2002 6:59 PM 
> > > To: Amir Hermelin; Hummel Heinrich; [email-masked] 
> > > Subject: RE: Loop Detection 
> > > 
> > > 
> > > Isn't TTL a very direct and immediate form of loop detection?  
> > > If you had a network tool that would illuminate the routers that 
> > > are counting a lot of packets dropped because of TTL expiration, 
> > > it could be showing you points on a routing loop. 
> > > 
> > > -- 
> > > John Renwick                          Agere Systems 
> > > Software Technical Manager            1230 Northland Drive 
> > > Phone: (651) 675-2986                 Mendota Heights, MN 55120 
> > > FAX:   (707) 897-7928                 Cell:  (612) 669-9397 
> > > mailto:[email-masked]             http://www.agere.com 
> > > 
> > > > -----Original Message----- 
> > > > From: [email-masked] 
> > > > [mailto:[email-masked]]On Behalf Of 
> > Amir Hermelin 
> > > > Sent: Wednesday, July 03, 2002 5:12 PM 
> > > > To: Hummel Heinrich; [email-masked] 
> > > > Subject: RE: Loop Detection 
> > > > 
> > > > 
> > > > my 2 cents: 
> > > > * Yes, such a tool would be very nice. Although, a 
> small portion 
> > > > of our salaries is due to the fact that routing loops are 
> > > so scary ;-) 
> > > > * The approaches would be different for types of protocols. In 
> > > > IGPs, assuming correct implementations, the protocol takes care 
> > > > of loop possibilities as long as the lspdb is in sync. When its 
> > > > not due to transient states, a tool wouldn't help since you'd 
> > > > have to run it constantly for every router's view. 
> > > > * I agree that detecting BGP mis-configuration is hard. As for 
> > > > MPLS, there are methods that are more susceptible to loops than 
> > > > others (e.g. one implementation of TE-shortcuts can 
> lead to loops 
> > > > even in a seemingly correct configuration, due to 
> metric values). 
> > > > * If this stuff moves forward, it might even mandate a 
> whole new 
> > > > workgroup. 
> > > > 
> > > > -- 
> > > > Amir Hermelin                  <mailto:[email-masked]> 
> > > > Charlotte's Web Networks Inc.   <http://www.cwnt.com> 
> > > > 
> > > > 
> > > > > -----Original Message----- 
> > > > > From: Hummel Heinrich [mailto:[email-masked]] 
> > > > > Sent: Tuesday, July 02, 2002 11:17 AM 
> > > > > To: [email-masked] 
> > > > > Subject: Re: Loop Detection 
> > > > > 
> > > > > 
> > > > > Wouldn't it be a fine goal to standardize a 
> > > tool/mechanism/protocol 
> > > > > which double-checks, within milliseconds, that all routing 
> > > > > tables of some network domain are in sync ? 
> > > > > Or at least, that the topological view, aquired by all nodes 
> > > > > of some network domain complies with the physical reality ? 
> > > > > Wouldn't this be a powerful OAM-application ? IMHO:it would 
> > > > > be better than the religious fights on OAM-MPLS. 
> > > > > 
> > > > > Heinrich Hummel 
> > > > > Siemens AG 
> > > > > 
> > > > > 
> > > > > 
> > > > >  On Tue, 4 Jun 2002, Jing Shen wrote: 
> > > > > 
> > > > > > Given a network with several routers, is there any 
> > > > > tool/application to 
> > > > > > detect loops in the routing tables? 
> > > > > 
> > > > > As far as I know, there isn't. 
> > > > > Also if the loop is due to a misconfiguration which does 
> > > not show up 
> > > > > in BGP updates, then it's harder to detect. 
> > > > > 
> > > > > -Sue 
> > 
> > _______________________________________________
> > routing-discussion mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/routing-discussion
> > 
> 

_______________________________________________
routing-discussion mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/routing-discussion